From 1dadcc3e3568f82aa58c39d43141cf60f4673ac8 Mon Sep 17 00:00:00 2001
Message-Id: <1dadcc3e3568f82aa58c39d43141cf60f4673ac8.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:38:30 +0200
Subject: [PATCH 053/114] Revert "qemu-ga: Fix null pointer passed to unlink
 in failure branch"

This reverts commit 697dff9afd01d849953403b21246025fdc7d64fe.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qemu-ga.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/qemu-ga.c b/qemu-ga.c
index 73f660c..366f958 100644
--- a/qemu-ga.c
+++ b/qemu-ga.c
@@ -438,9 +438,7 @@ static void become_daemon(const char *pidfile)
     return;
 
 fail:
-    if (pidfile) {
-        unlink(pidfile);
-    }
+    unlink(pidfile);
     g_critical("failed to daemonize");
     exit(EXIT_FAILURE);
 #endif
-- 
1.7.11.7

